Create a Company

Create a Company

This endpoint allows you to create and manage new companies in your ecosystem.

Companies are tied with your client_id with their role parameter:

  • "organization": a company part of your organization
  • "customer": a customer. It can be a business or a person.
  • "partner": a business or person that interacts with your solution. Especially for marketplaces.
  • "supplier": a supplier.

You can also set a parent for each company in order to create structure and hierarchy of the ecosystem. Simply send in parent_id the id in Brinta's system of the parent company.

Body Params
string
required

Name of the company

string
string
required

International currency set for the company. All transactions will apply the local currency of the country and the international currency. Possible values: "USD", "EUR", "GBP", "CNY"

string

Id of the company on the client's system

string

Id in Brinta's system of the parent company. If not sent, default is client's id

string

Id of the parent company on the client's system.

string

Main category of the company.

string

Identifies the relationship between the company being created and the Client. Possible values: "organization", "buyer", "partner", "supplier"

string

Identifies the relationship between the company being created and the Client. Can take any value

string

Email of the company.

string

Phone of the company.

string
required

Type of the entity. It can be "business" or "person"

string

Fiscal regime of the buyer.

address
object
required

Address of the company.

tax_registrations
array of objects

Array of tax registrations of the company. Company may have a national registration and others at state or municipal level. When creating a Company with role='organization', a tax_registration with all its fields is required.

tax_registrations
Response

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json